"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ThresholdGaugeTS = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _core = require("@material-ui/core");

var _Tooltip = _interopRequireDefault(require("@material-ui/core/Tooltip"));

var _get = _interopRequireDefault(require("lodash/fp/get"));

var _formatDistance = _interopRequireDefault(require("date-fns/fp/formatDistance"));

var _Caption = require("./Caption");

var _ThresholdGauge = require("./ThresholdGauge");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var useStyles = (0, _core.makeStyles)(function () {
  return {
    center: {
      textAlign: 'center'
    },
    flexCenter: {
      justifyContent: 'center',
      display: 'flex',
      flexDirection: 'column'
    }
  };
});
var propTypes = {
  msg: _propTypes["default"].objectOf(_propTypes["default"].any),
  style: _propTypes["default"].objectOf(_propTypes["default"].any),
  gaugeStyle: _propTypes["default"].objectOf(_propTypes["default"].any),
  path: _propTypes["default"].string // ThresholdGaugeProps: PropTypes.objectOf(PropTypes.any),

};
var defaultProps = {
  path: '',
  msg: {},
  style: {},
  gaugeStyle: {} // ThresholdGaugeProps: {},

};

var ThresholdGaugeTS = function ThresholdGaugeTS(_ref) {
  var msg = _ref.msg,
      path = _ref.path,
      style = _ref.style,
      gaugeStyle = _ref.gaugeStyle,
      rest = _objectWithoutProperties(_ref, ["msg", "path", "style", "gaugeStyle"]);

  var currentDate = new Date();
  var classes = useStyles(); // console.log('ThresholdGaugeTS msg:', msg, '| path:', path);

  var timeLabel = _react["default"].createElement(_Caption.Caption, {
    label: "Data age: ".concat(msg.ts ? (0, _formatDistance["default"])(currentDate)(msg.ts) : '-')
  });

  return _react["default"].createElement("div", {
    className: classes.flexCenter,
    style: style
  }, _react["default"].createElement(_ThresholdGauge.ThresholdGauge, _extends({
    value: (0, _get["default"])(path, msg),
    style: gaugeStyle
  }, rest)), _react["default"].createElement("div", {
    className: classes.center
  }, msg.ts ? _react["default"].createElement(_Tooltip["default"], {
    title: msg.ts.toISOString()
  }, _react["default"].createElement("span", null, timeLabel)) : timeLabel));
};

exports.ThresholdGaugeTS = ThresholdGaugeTS;
ThresholdGaugeTS.propTypes = propTypes;
ThresholdGaugeTS.defaultProps = defaultProps; // export const ThresholdGaugeTS = hoc(ThresholdGaugeTSC);